GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtVreg Class Reference
Register Allocation

Virtual register. More...

`#include <igt_vreg.h>`

## Public Member Functions
virtual bool | IsValid () const =0
| Return true for a valid virtual register.
virtual GtVregNum | Num () const =0
| Return unique register number, assigned by IGtVregFactory.
virtual uint32_t | Size () const =0
| Return size of the register in bytes.
virtual GtVregType | Type () const =0
| Return type of the register.
virtual uint32_t | Flags () const =0
| Return combination of boolean flags associated with the register.
virtual GtSubRegNum | RequiredSubregNum () const =0
| Return required subregister number, or GtSubRegNum::Invalid() < if this vreg accepts any subregister assignment.
virtual | operator GtReg () const =0
std::string | ToString () const
| Return string representation of this virtual register.

## Detailed Description

Virtual register.

Note:
  For now, we assume that virtual register can only be mapped to a GRF (sub)register. ARF registers and non-scalar GRF regions can't be virtualized.

Availability:
  - IGtTool::OnKernelBuild

## Member Function Documentation

virtual gtpin::IGtVreg::operator GtReg | ( |  | ) | const`[pure virtual]`

Convert this virtual register into an exemplar physical register. Usually, this conversion is used to generate operand that represents virtual register in GEN instruction (IGtIns).

Note:
  For now, we assume that all virtual registers are of GRF type

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT